
:root {
    --o2bs-white: #fff;
    --o2bs-blue: #0050FF;
    --o2bs-gray-background: #dee2e6;
    --o2bs-gray-border: #909fb178;
    --o2bs-gray-btn-background: #00000014;
    --o2bs-black-shadow: #75757580;
    --o2bs-green: #01b7b4;
    --o2bs-red: #ec6660;
    --o2bs-black: #000;
}

#home-header .top-header .top-header-links a:first-of-type {
  margin-right: 0;
}

#processing-overlay {
    background: var(--o2bs-white);
    color: var(--o2bs-blue);
    position: fixed;
    height: 100%;
    width: 100%;
    z-index: 5000;
    top: 0;
    left: 0;
    float: left;
    text-align: center;
    padding-top: 200px;
    opacity: .87;
}

.overlay-spinner {
    margin: 0 auto;
    height: 64px;
    width: 64px;
    animation: rotate 0.8s infinite linear;
    border: 5px solid var(--o2bs-blue);
    border-right-color: transparent;
    border-radius: 50%;
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

table.dataTable td {
    /*white-space: nowrap;*/
}

table.dataTable thead th {
    white-space: nowrap;
    font-weight: bold !important;
}

.datatable-wrapper {
    background-color: white;
    border-radius: 20px;
    padding: 20px;
    font-size: 14px;
}

.datatable-wrapper tfoot input {
    width: 100%;
    padding: 3px;
    box-sizing: border-box;
}

.datatable-wrapper .search-input {
    width: 100%;
}

.datatable-wrapper select.search-input {
    width: 100%;
}

/* "Collection Button" sub-menu width */
.dt-button-collection {
    width: 220px !important;
}

/* "Rows per page" sub-menu width */
.dt-button-collection:has(.button-page-length) {
    width: 100px !important;
}

/* "Columns visibility" sub-menu width */
.dt-button-collection:has(.buttons-columnVisibility) {
    width: 290px !important;
}

.modal-header .btn-close {
    margin-bottom: 0 !important;
}

table.datapool td {
    padding: 10px;
}

/*
  CSS rule to prevent browser from styling the textboxes when filling with saved logins.
  This rule essentially delays the color change for a long time, effectively hiding it.
*/
input:-webkit-autofill,
textarea:-webkit-autofill,
select:-webkit-autofill {
    transition: background-color 5000s ease-in-out 0s;
    -webkit-text-fill-color: inherit !important; /* Keeps text color as designed */
}

.select2-results__option--selected {
	color: black !important;
	background-color: white !important;
}

.select2-results__option--highlighted {
	color: black !important;
    background-color: #e9ecef !important;
}

.changes-highlight .select2 {
    -webkit-box-shadow: 0 1px 12px 0 var(--o2bs-blue) !important;
    box-shadow: 0 1px 12px 0 var(--o2bs-blue) !important;
}

.changes-highlight input {
    -webkit-box-shadow: 0 1px 12px 0 var(--o2bs-blue) !important;
    box-shadow: 0 1px 12px 0 var(--o2bs-blue) !important;
}

.changes-highlight select {
    -webkit-box-shadow: 0 1px 12px 0 var(--o2bs-blue) !important;
    box-shadow: 0 1px 12px 0 var(--o2bs-blue) !important;
}

.o_has_error .select2 {
    -webkit-box-shadow: 0 1px 20px 0 var(--o2bs-red) !important;
    box-shadow: 0 1px 7px 0 var(--o2bs-red) !important;
}

.o_has_error input {
    -webkit-box-shadow: 0 1px 20px 0 var(--o2bs-red) !important;
    box-shadow: 0 1px 7px 0 var(--o2bs-red) !important;
}

.o_has_error select {
    -webkit-box-shadow: 0 1px 20px 0 var(--o2bs-red) !important;
    box-shadow: 0 1px 7px 0 var(--o2bs-red) !important;
}

.all-error-messages {
    background-color: #ec6660;
    color: white;
    border-radius: 20px;
    padding: 20px;
    margin-top: 20px;
    outline: none;
}

.all-info-messages {
    background-color: #dfedff;
    color: #0050ff;
    border-radius: 20px;
    padding: 20px;
    margin-top: 20px;
    outline: none;
}

.warning-message {
    background-color: #fadc00;
    color: #00001e;
    border-radius: 20px;
    padding: 20px;
    margin-top: 20px;
    outline: none;
}

.form-field.o_has_error .error-message {
    display: inline-block;
}

.form-field:not(.o_has_error) .error-message {
    display: none;
}

.form-control-orig {
    display: none;
}

.error-message {
    margin-top: 12px;
}

.alert-danger {
    --bs-alert-color: #8564e;
    --bs-alert-bg: #fceadb;
    --bs-alert-border-color: #fceadb;
    --bs-alert-border-radius: 0;
}

.modal-body .setting-wrapper .form-check,
.single-request-wrapper .setting-wrapper .form-check {
    border: none !important;
    padding: 0 0 0 28px;
    margin-bottom: 15px;
}

td.highlight {
    background-color: rgba(var(--dt-row-hover), 0.052) !important;
}

.cart_quantity {
    font-weight: bold;
    font-size: 90%;
    padding: 4px 0;
    text-align: center;
    display: inline-block;
}

.add-product-form {
    input[type=number] {
        border-radius: 0 30px 30px 0;
        max-width: 70px;
        font-size: 16px;
    }

    input[type=submit] {
        font-size: 16px;
    }
}

#eshop-catalogue-datatable_wrapper {

    th.dt-body-right {
        text-align: right;
    }

    .search-input {
        color: #B4B4BE;
        border-color: #B4B4BE;
        border-radius: 17px;
        padding: 2px 12px 2px 12px;
        line-height: 22px;
        margin-top: 5px;
        margin-bottom: 10px;
    }

    .search-input:hover {
        color: var(--o2bs-blue);
        border-color: var(--o2bs-blue);
    }

    .product-name-cell {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 10px;
    }

    .product-name-cell img {
        max-width: 90px;
        max-height: 90px;
        object-fit: cover;
        border-radius: 7px;
        background-color: white;
        padding: 5px;
    }

    .product-name-cell img:hover {
        opacity: 0.8;
    }

    .product-image {
        width: 90px;
    }

    .product-name {
        flex-grow: 1;
        text-align: center;
        font-size: 18px;
    }

    .quantity {
        font-size: 14px;
        width: 220px;

        .input-group-text {
            font-size: 14px;
        }
        input {
            margin-left: 15px;
            border-radius: 15px 0 0 15px;
            max-width: 70px;
            font-size: 14px;
        }
        .btn {
            font-size: 12px;
            padding: 1px 10px;
            background-color: var(--bs-body-bg);
        }
        .btn:hover {
            background-color: var(--o2bs-blue);
        }
    }

    .dt-search input {
        border-radius: 28px;
        padding: 15px 30px 15px 30px;
        max-width: 20em;
        font-size: 18px;
        :focus {
            border: 1px solid var(--o2bs-blue);
        }
    }

    table.dataTable tbody > tr > td {
        padding-top: 20px;
        padding-bottom: 20px;
        font-weight: 700;
        font-size: 14px;
        vertical-align: top;
    }

    table.dataTable tbody > tr.dt-hasChild > td  {
        padding-top: 10px;
        padding-bottom: 10px;
        font-size: 13px;

        .product-name {
            font-size: 15px;
        }
    }

    table.dataTable tbody > tr > td.child  {
        padding-top: 10px;
        padding-bottom: 55px;
        text-align: end;

        .dtr-title {
            display: none;
        }
    }

    table.dataTable.dtr-inline.collapsed > tbody > tr > td.dtr-control::before,
    table.dataTable.dtr-inline.collapsed > tbody > tr > th.dtr-control::before {
        display: none;
    }

    table.dataTable thead > tr > .ui-state-default {
        background: transparent;
        border: 1px solid #f0f0f0;
        border-top-width: 2px;
        border-right-color: transparent;
        border-left-color: transparent;
    }

    table.dataTable thead > tr > th.dt-orderable-asc,
    table.dataTable thead > tr > th.dt-orderable-desc,
    table.dataTable thead > tr > td.dt-orderable-asc,
    table.dataTable thead > tr > td.dt-orderable-desc {
        background: transparent;
        border: 1px solid #f0f0f0;
        border-top-width: 2px;
        border-right-color: transparent;
        border-left-color: transparent;
    }

    table.dataTable thead > tr > th.dt-orderable-asc:hover,
    table.dataTable thead > tr > th.dt-orderable-desc:hover,
    table.dataTable thead > tr > td.dt-orderable-asc:hover,
    table.dataTable thead > tr > td.dt-orderable-desc:hover {
        background: transparent;
        border-top-color: var(--o2bs-blue);
        border-top-width: 2px;
        border-bottom-width: 1px;
    }

    .dt-scroll-body {
        border-bottom-color: transparent;
    }
}

#eshop-cart-datatable_wrapper, #eshop-hw-cart-datatable_wrapper {

    tfoot > tr > th {
        padding-top: 10px;
        padding-bottom: 10px;
        border-top-width: 1px;
        border-top-style: dashed;
        border-top-color: var(--o2bs-blue);
        border-bottom-width: 1px;
        border-bottom-style: dashed;
        border-bottom-color: var(--o2bs-blue);
        background-color: var(--bs-body-bg);
    }

    th.dt-body-right {
        text-align: right;
    }

    input[type=number].quantity {
        margin-left: 15px;
        border-radius: 15px;
        max-width: 70px;
    }
    input[type=number].price {
        margin-left: 15px;
        border-radius: 15px 0 0 15px;
        max-width: 70px;
    }

    .input-group-text {
        border-radius: 0 15px 15px 0;
    }

    .action_delete {
        text-align: center;
        font-size: 14px;
        padding: 1px 10px;
        margin-bottom: 5px;
        width: 75px;
        background-color: var(--bs-body-bg);
        color: var(--o2bs-red);
        border-color: var(--o2bs-red);
    }
    .action_delete:hover {
        color: var(--bs-body-bg);
        background-color: var(--o2bs-red);
    }
    /*.action_delete {*/
    /*    background-color: transparent;*/
    /*    border: none;*/
    /*    padding: 2px;*/
    /*    height: 30px;*/
    /*    width: 30px;*/
    /*    line-height: 30px;*/
    /*    display: flex;*/
    /*    justify-content: center;*/
    /*    background-image: url('../images/icon-x-dark.svg');*/
    /*    background-repeat: no-repeat;*/
    /*    background-size: contain;*/
    /*    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);*/
    /*    -webkit-transition: all 0.3s ease-in-out;*/
    /*    -moz-transition: all 0.3s ease-in-out;*/
    /*    -o-transition: all 0.3s ease-in-out;*/
    /*    -ms-transition: all 0.3s ease-in-out;*/
    /*    transition: all 0.3s ease-in-out;*/

    /*}*/
    /*.action_delete:hover {*/
    /*    background-image: url('../images/icon-x-blue.svg');*/
    /*}*/
    /*.action_delete img {*/
    /*    display: inline-block;*/
    /*    width: 100%;*/
    /*}*/

    table.dataTable tbody > tr.dt-hasChild > td {
        padding-top: 10px;
        padding-bottom: 10px;
    }

    table.dataTable tbody > tr > td.child {
        padding-top: 10px;
        padding-bottom: 40px;
        text-align: right;

        .dtr-details {
            li {
                vertical-align: center;
                height: 40px;
            }
            width: 100%;
        }

        .dtr-title {
            text-align: right;
            color: var(--o2bs-blue);
            width: 65%;
        }

        .dtr-data {
            text-align: right;
            div.float-end {
                width: 35%;
                text-align: right;
            }
        }
    }

    table.dataTable.dtr-inline.collapsed > tbody > tr > td.dtr-control::before,
    table.dataTable.dtr-inline.collapsed > tbody > tr > th.dtr-control::before {
        display: none;
    }

    table.dataTable thead > tr > .ui-state-default {
        background: transparent;
        border: 1px solid #f0f0f0;
        border-top-width: 2px;
        border-right-color: transparent;
        border-left-color: transparent;
    }

    table.dataTable thead > tr > .ui-state-default:hover {
        background: transparent;
        border: 1px solid #f0f0f0;
        border-top-color: var(--o2bs-blue);
        border-top-width: 2px;
        border-right-color: transparent;
        border-left-color: transparent;
    }

    .dt-scroll-body {
        border-bottom-color: transparent;
    }
}

.action_recalculate {
    height: 45px;
    background-color: var(--bs-body-bg);
    color: var(--o2bs-blue);
    border-color: var(--o2bs-blue);
    font-size: 17px !important;
    line-height: 30px;
    border-radius: 25px;
    padding: 1px 30px !important;
}

.action_recalculate:hover {
    color: var(--bs-body-bg);
    background-color: var(--o2bs-blue);
}

.chatter_message_create {
    button[type=submit] {
        font-size: 14px;
        padding: 7px 30px;
    }
    .custom-input-file label {
        font-size: 14px;
        padding: 7px 30px;
    }
}

.chatter_messages_wrapper {
    padding: 30px;
}

.chatter_message_counter {
    color: #73737D;
}

.chatter_message {
    border-radius:  13px;
    box-shadow: rgba(0, 0, 0, 0.18) 0 2px 14px 0;
}

.chatter_message_header {
    padding: 10px 20px;
    border-radius:  13px 13px 0 0;
    border: 1px solid var(--o2bs-gray-background);
    background-color: #f5f5f5;
}

.chatter_message_title {
    font-size: 16px;
    color: var(--o2bs-blue);
}

.chatter_message_date {
    font-size: 14px;
    color: #73737D;
    margin-top: 5px;
}

.chatter_message_body {
    font-size: var(--bs-body-font-size);
    padding: 20px;
    border: 1px var(--o2bs-gray-background) solid;
    border-top: 0;
    overflow: scroll;
}

.chatter_message_buttons {
    margin-top: 10px;
    padding: 5px 10px;
    display: flex;
    flex-flow: row wrap;
}

.chatter_message_button_wrap {
    position: relative;
    box-sizing: border-box;
    padding: 5px;
}

.chatter_message_attachments {
    font-size: var(--bs-body-font-size);
    padding: 5px 10px;
    border-radius: 0 0 13px 13px;
    border: 1px var(--o2bs-gray-background) solid;
    border-top: 0;
    display: flex;
    flex-flow: row wrap;
    background-color: #f5f5f5;
}

.chatter_message_attachment {
    position: relative;
    padding: 5px 2px;
    box-sizing: border-box;
}

.chatter_message_attachment_wrap {
    position: relative;
    box-sizing: border-box;

    .btn {
        color: #73737D;
        border: 1px solid #73737D;
        font-size: 13px;
        padding: 5px 14px;
        background-color: var(--o2bs-white);
        border-radius: 8px;
    }

    .btn:hover {
        color: var(--o2bs-blue);
        border: 1px solid var(--o2bs-blue);
    }

    i {
        margin-left: 10px;
    }
}

.datatable-wrapper table.dataTable thead > tr > *.ui-state-default {
    background: #daf4fd;
}

.datatable-wrapper table.dataTable thead > tr > th.dt-orderable-asc:hover,
.datatable-wrapper table.dataTable thead > tr > th.dt-orderable-desc:hover,
.datatable-wrapper table.dataTable thead > tr > td.dt-orderable-asc:hover,
.datatable-wrapper table.dataTable thead > tr > td.dt-orderable-desc:hover {
    background: #62c9eb;
}

table.dataTable.cell-border > tbody > tr > * {
    border-top: 1px solid rgba(0, 0, 0, 0.07);
    border-right: 1px solid rgba(0, 0, 0, 0.07);
}

.error-message:before {
    background: var(--o2bs-red);
}

.error-message {
    color: var(--o2bs-red);
}

.red {
    color: var(--o2bs-red);
}

.page-content {
    padding-top: 40px;
    padding-bottom: 0;
}

#ad-box {
    margin: 70px 0 100px 0;
}

#ad-box .ad-box-img {
    transform: scale(2.2);
    background-position: 50% -8px !important;
    background-position-x: center !important;
    /*background-position-y: center !important;*/
}

#ad-box .ad-box-wrapper {
    border-radius: 30px;
}

#ad-box .ad-box-text {
    padding: 30px 0 30px 30px;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    z-index: 5;

    p {
        margin-top: 1rem;
        margin-bottom: 1rem;
        font-size: 16px;
    }

    h3 {
        font-size: 40px;
    }
}

.banner-img {
    width: 35%;
}

.banner-img img {
    /*max-width: 440px;*/
    /*max-height: 440px;*/
    max-width: 246px;
    max-height: 187px;
    transform: scale(3) translate(-19%, 17%);
}

.faq .accordion-button {
    color: #000;
    font-weight: normal;
}

.faq .accordion-button:not(.collapsed) {
    font-weight: bold;
}

.benefits_tile {
    cursor: pointer;
}

.benefits_tile:hover {
    text-decoration: none !important;
}

.active-filter-datatable {
    background-color: var(--o2bs-blue) !important;
    color: var(--o2bs-white) !important;

    .ui-icon {
        background-image: url("images/ui-icons_ffffff_256x240.png");
    }
}

.datatable-wrapper div.dt-buttons>.dt-button:hover:not(.disabled),
.datatable-wrapper div.dt-buttons>div.dt-button-split .dt-button:hover:not(.disabled) {
    .ui-icon {
        background-image: url("images/ui-icons_ffffff_256x240.png");
    }
}

.invoice-table-info-text {
    font-size: 15px;
    display: flex !important;
    justify-content: flex-start;
    width: 100%;
    border-radius: 10px;
    margin: 0;
}

.popover {
	border-color: var(--o2bs-red);
	border-width: 1px;

	.popover-body {
        font-size: 12px;
		color: var(--o2bs-red);
	    padding: 5px;
	}

	.arrow::before, .bs-popover-auto[x-placement^="left"] > .arrow::before {
		border-left-color: var(--o2bs-red);
	}
}

.request-wrapper.service-usage {
    cursor: pointer;
    text-align: center;
    font-size: 1.4rem;
    border-radius: 20px;
    box-shadow: rgba(0, 0, 0, 0.18) 0 2px 14px 0;
}

.request-wrapper.service-usage:hover {
    -webkit-box-shadow: 0 1px 12px 0 var(--o2bs-blue) !important;
    box-shadow: 0 1px 12px 0 var(--o2bs-blue) !important;
}

.request-wrapper.billing-account-usage {
    cursor: pointer;
    text-align: center;
    font-size: 1.4rem;
    border-radius: 20px;
    box-shadow: rgba(0, 0, 0, 0.18) 0 2px 14px 0;
}

.request-wrapper.billing-account-usage:hover {
    -webkit-box-shadow: 0 1px 12px 0 var(--o2bs-blue) !important;
    box-shadow: 0 1px 12px 0 var(--o2bs-blue) !important;
}

/***** Portal_eshop_product *****/
.custom-dropdown-container {
    gap: 15px;
}

.custom-dropdown {
    position: relative;
    display: inline-block;
    width: 100%;
}

.custom-dropdown .dropdown-toggle {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: white;
    text-align: left;
    cursor: pointer;
}

/* Len pre naše custom-dropdowny: odstráni display: none */
.custom-dropdown .dropdown-menu {
    display: block !important;
    width: 100%;
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    transition: max-height 0.4s ease, opacity 0.4s ease;
    pointer-events: none;
}

.custom-dropdown .dropdown-menu.show {
    max-height: 500px;
    opacity: 1;
    pointer-events: auto;
}

.custom-dropdown .dropdown-menu li {
    padding: 10px;
    cursor: pointer;
    /*margin: 0 15px;*/
}

.custom-dropdown .dropdown-menu li:hover {
    background-color: #f2f2f2;
}

.custom-dropdown .dropdown-menu li:not(:last-child) {
    border-bottom: 1px solid #cbd5e1;
}

#dropdown-color .dropdown-toggle::after,
#dropdown-storage .dropdown-toggle::after {
    color: var(--o2bs-blue);
    font-size: 1.5rem;
    margin-left: auto;
    margin-right: 10px;
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    transition: all 0.3s ease;
}

#dropdown-color .dropdown-toggle.open::after,
#dropdown-storage .dropdown-toggle.open::after {
  transform: translateY(-50%) rotate(-180deg);
}

#dropdown-color .dropdown-toggle,
#dropdown-storage .dropdown-toggle {
    position: relative;
    padding-right: 30px;
}

.color-circle {
    display: inline-block;
    width: 17px;
    height: 17px;
    border: 1px solid #c9c9c9;
    border-radius: 50%;
    margin-right: 8px;
    margin-bottom: 3px;
    vertical-align: middle;
}

#full-description p {
    font-weight: normal;
}

/***** portal_eshop_cart  *****/
.no-underline {
  color: var(--o2bs-black) !important;
  text-decoration: none !important;
  border-bottom: none;
}

.no-underline:hover {
  text-decoration: none !important;
  border-bottom: none !important;
}

.full-cell-link {
  display: block;
  width: 100%;
  height: 100%;
  color: var(--o2bs-black);
  text-decoration: none;
}

.full-cell-link:hover {
  text-decoration: none;
}

/**** Overlay ****/
.eprel-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 9999;
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    align-items: center;
    justify-content: center;
}

.eprel-overlay-inner {
    position: relative;
    display: inline-block;
    max-width: 90vw;
    max-height: 90vh;
    height: 86vh;
    width: 45vh;
}

.eprel-overlay-image {
    width: 100%;
    height: auto;
    display: block;
    background: white;
    border: 2px solid black;
    padding: 20px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
}

.eprel-overlay-close {
    position: absolute;
    top: -10px;
    right: 10px;
    font-size: 36px;
    font-weight: bold;
    color: var(--o2bs-black);
    cursor: pointer;
    z-index: 10000;
    user-select: none;
    transition: color 0.2s ease;
}

.eprel-overlay-close:hover {
    color: #ff0000;
}

/***
* Catalogue
***/
.with_o2 {
    height: 50px;
}

.services-boxes-row .box-wrapper .box-icon {
    max-height: 45px;
}

#search-all-product {
    padding: 8px 20px;
}

#search-btn {
    background-color: var(--o2bs-blue);
    color: var(--o2bs-white);
    border: 1px solid #F3F3F5;
    border-radius: 5px;
    padding: 10px 30px;
}

#search-btn:hover {
    background-color: var(--o2bs-white);
    color: var(--o2bs-blue);
    border: 1px solid var(--o2bs-blue);
    box-shadow: 3px 4px 7px #808080;
}

#eshop-catalogue-datatable td {
    vertical-align: middle !important;
}

.eshop-catalogue-name {
    display: flex;
    align-items: center;
    gap: 15px;
}

.eshop-catalogue img{
    width: 80px;
}

#custom-search {
    padding: 6px 10px;
    border: 1px solid #ccc;
    border-radius: 6px;
}

#custom-filter-btn {
    color: var(--o2bs-blue);
    background-color: var(--o2bs-white);
    border: 1px solid var(--o2bs-blue);
    padding: 6px 14px;
    border-radius: 15px;
}

#custom-filter-btn:hover {
    background-color: var(--o2bs-blue);
    color: var(--o2bs-white);
}

.custom-datatable-toolbar {
    display: flex;
    flex-direction: column;
    align-content: flex-start;
    align-items: flex-start;
    flex-wrap: wrap;;
    margin-bottom: 1rem;
    gap: 15px;
    margin-left: calc(var(--bs-gutter-x) * .5);
}

.toolbar-search {
    display: flex;
    align-items: center;
    gap: 12px;
}

.toolbar-alignment {
    display: flex;
    align-items: center;
    gap: 20px;
}

.sort-link {
    text-decoration: none !important;
    font-weight: 500;
    color: var(--o2bs-black) !important;
}

.sort-link.active {
    color: var(--o2bs-blue) !important;
    font-weight: bold;
}

.box-wrapper {
    position: relative;
    background-color: var(--o2bs-white);
    cursor: pointer;
}

.category-boxes-row .box-wrapper p {
    color: var(--o2bs-black);
}

.product-container {
    border-radius: 20px;
    padding: 30px 30px 0 30px;
    margin: 12px 0;
    transition: all .4s ease;
}

.product-container:hover {
    box-shadow: 0 0 15px 1px #adadad;
}

.product-container:hover .color-picker {
    visibility: visible;
    opacity: 1;
}

.product-img {
    min-height: 160px;
    max-height: 160px !important;
    display: flex;
    justify-content: center;
}

.product-img .product-image {
    display: flex;
    justify-content: center;
    align-items: center;
}

.product-img img{
    max-height: 160px;
}

.product-info h4 {
    font-size: 18px;
    font-weight: normal;
    margin-bottom: 5px;
}

.product-price span {
    color: #73737D;
    font-weight: 400;
    font-size: 14px;
}

.product-divider {
    margin: 10px 0;
    background-color: #d5d5d5;
    height: 1px;
    width: 100%;
}

.product-properties {
    font-size: 14px;
    color: #73737D;
    display: flex;
    justify-content: space-between;
}

.energy-properties {
    width: 100%;
}

.energy-class {
    width: 50px;
}

.product-flex {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    width: auto;
}

.product-card {
    height: 430px;
}

.search-all {
    height: 300px;
}

.product-card:hover {
    text-decoration: none;
}

.product-card .box-wrapper {
    display: flex;
    flex-direction: column;
    background-color: #FFFFFF;
    width: 100%;
    height: 100%;
    border-radius: 20px;
    border: 1px solid #ddd;
    font-size: 16px;
    text-decoration: none;
    padding: 20px;
}

.product-card .box-wrapper:hover {
    text-decoration: none;
}

.product-box-img {
    height: 50%;
    min-height: 160px;
    max-height: 160px;
    text-align: center;
    margin-bottom: 10px;
}

.product-box-img img {
    width: auto;
    max-width: 290px;
    height: 150px;
    object-fit: contain;
    margin-bottom: 20px;
}

.color-border {
    border: 1px solid var(--o2bs-gray-border);
    border-radius: 7px;
}

.color-container .color {
    background-color: red;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    margin: 13px 25px;
}

.color-border {
    transition: all .2s ease;
}

.color-border:hover {
    box-shadow: inset 0 0 7px 0 var(--o2bs-gray-border);
}

.product-card h5 {
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 8px;
}

.product-card .product_price {
    font-size: 20px;
    font-weight: bold;
    color: var(--o2bs-blue);
    margin-bottom: 8px;
}

.product-card .product_price span {
    color: #73737D;
    font-weight: 400;
    font-size: 14px;
}

.product-information-sheet span {
    font-weight: bold;
    color: #5a6c87;
    font-size: 16px;
}

.dropdown-menu li.disabled.current {
  cursor: not-allowed;
  color: #aaa; /* sivý text */
}

.no-bubble {
    cursor: pointer;
}

.network-badge {
    position: absolute;
    font-size: 14px;
    background-color: var(--o2bs-blue);
    color: var(--o2bs-white);
    border-radius: 12px;
    font-weight: bold;
    top: 20px;
    left: 20px;
    padding: 3px 8px;
}

.color-picker {
    display: flex;
    opacity: 0;
    visibility: hidden;
    position: absolute;
    right: 20px;
    top: 20px;
    flex-direction: column;
    gap: 6px;
    transition: opacity 0.4s ease-in-out, visibility 0.4s ease-in-out;
    margin-top: 8px;
}

.product-color {
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 0 0 1px rgba(0,0,0,0.05);
    width: 15px;
    height: 15px;
}

/*****
*Fiter
******/
html.no-scroll,
body.no-scroll {
    overflow: hidden !important;
    height: 100% !important;
}

/******
* Filter pri výbere kategórií
******/
#search-results-container {
    display: none;
    width: 100%;
    margin: 40px auto;
}

/* Overlay pre filter */
.filter-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 20, 69, 0.34);
    z-index: 9999;
    display: none;
    align-items: center;
    justify-content: center;
    overflow-y: auto;
    padding: 20px 20px 0 20px;
}

.main-filter-container {
    position: relative;
    width: 100%;
    max-width: 600px;
    height: 80vh;
    background: var(--o2bs-white);
    border-radius: 10px;
}

.section-filter {
    overflow-y: auto;
    flex-grow: 1;
    height: calc(80vh - 130px);
}

.filter-wrapper {
    background-color: var(--o2bs-white);
    border-radius: 10px;
}

.modal__close {
    border: none;
    border-radius: 50%;
    background: transparent;
    padding: 0;
}

.modal__close svg {
    color: #5a6c87;
    transition: all .3s ease;
}

.modal__close svg:hover {
    color: var(--o2bs-gray-background);
}

/* Active fitler */
.filter-active .filter-value-flex {
    background-color: var(--o2bs-blue);
}

.filter-active .filter-value-flex p span {
    color: var(--o2bs-white);
}

.filter-value-active {
    background-color: var(--o2bs-blue);
}

.filter-value-active p,
.filter-value-active p span {
   color: var(--o2bs-white) !important;
}

.delele-value {
    font-size: 15px;
    color: var(--o2bs-blue);
    cursor: pointer;
}

.filter-categoy p{
    border-bottom: 1px dashed var(--o2bs-gray-background);
    font-weight: bold;
}

.filter-value {
    display: flex;
    gap: 8px;
    flex-direction: row;
    flex-wrap: wrap;
}

.filter-value-flex {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border: 1px solid #cbd5e1;
    padding: 5px 15px;
    border-radius: 20px;
    cursor: pointer;
}

.filter-value span {
    color: var(--o2bs-blue);
}

.custom-span-color {
    color: #5a6c87 !important;
}

/* Fixed header */
.filter-header {
    background: var(--o2bs-white);
    padding: 15px 0;
    /*border-bottom: 1px solid var(--o2bs-gray-background);*/
    border-radius: 10px 10px 0 0;
}

.filter-header hr {
    margin: 20px 0 0 0;
    color: #ababab;
}

/* Filer Slider */
.range-slider {
    position: relative;
    width: 100%;
    max-width: 500px;
    margin: 10px auto;
}

.range-slider input[type=range] {
    position: absolute;
    width: 100%;
    pointer-events: none;
    -webkit-appearance: none;
    z-index: 2;
    height: 0;
    top: 9px;
}

.range-slider input[type=range]::-webkit-slider-thumb {
    pointer-events: all;
    width: 22px;
    height: 22px;
    border-radius: 50%;
    background: var(--o2bs-blue);
    border: 2px solid var(--o2bs-white);
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: 6px;
}

.range-slider input[type=range]::-moz-range-thumb {
    pointer-events: all;
    width: 22px;
    height: 22px;
    border-radius: 50%;
    background: var(--o2bs-blue);
    border: 2px solid var(--o2bs-white);
    cursor: pointer;
}

.slider-track {
    position: absolute;
    height: 7px;
    background: var(--o2bs-gray-background);
    top: 9px;
    width: 100%;
    z-index: 1;
    border-radius: 5px;
}

.price-values {
    font-size: 16px;
    display: flex;
    justify-content: space-between;
    font-family: sans-serif;
    font-weight: 500;
    margin-top: 30px;
}

.price-values span {
    color: var(--o2bs-black);
}

/* Filter-Color*/
.color-cirle {
    width: 15px;
    height: 15px;
    border-radius: 50%;
}

/* Buttons */
.filters-buttons {
    background: var(--o2bs-white);
    border-radius: 10px;
    padding: 10px 0;
}

.filters-buttons button {
    background: none;
    color: var(--o2bs-blue);
    border: 1px solid var(--o2bs-gray-background);
    border-radius: 5px;
    padding: 10px 30px;
}

#submit-filter {
    background-color: var(--o2bs-blue);
    color: var(--o2bs-white);
}

.cart-status-bar {
    margin-bottom: 25px;

    .step {
        padding-top: 10px;
        padding-bottom: 15px;
        font-size: 16px;
        font-weight: normal;
        border-width: 1px;
    }

    .step.complete {
        border-width: 1px;
    }

    .step.complete.active {
        border-width: 4px;
        font-size: 18px;
        font-weight: bold;
    }

    .step.complete.active span {
        /*color: white;*/
    }
}

/* Style for placeholder text when the field is empty, only inside forms */
form input::placeholder {
    color: #aaa !important;
    opacity: 1 !important;
}

.promo-hw-image {
    display: none;
}

.promo-hw-textarea .promo-hw-txt {
    display: none;
}

.pw-lock #navbarNavDropdown > ul.navbar-nav > li {
    display: none !important;
}

.pw-lock #navbarNavDropdownUser > ul.navbar-nav > li {
    display: none !important;
}

.password-changed-confirmation { display: none; }
.password-changed-confirmation.is-open {
    display: flex;
    position: fixed;
    inset: 0;
    z-index: 1050;
    background: rgba(0,0,0,0.45);
    align-items: center;
    justify-content: center;
}

.hw-tooltip {
    position: relative;
    font-size: 0.85em;
    line-height: 0;
    vertical-align: baseline;
    margin-left: 2px;
    color: rgba(1, 128, 165);
    cursor: pointer;
}

.custom-services .service-wrapper .service-img img {
    height: 35px !important;
}

/***
* MEDIA QUERY
***/
@media (max-width: 1599px) {
    .banner-img {
        width: 33%;
    }

    .banner-img img {
        /*max-width: 360px;*/
        /*max-height: 360px;*/
        max-width: 300px;
        max-height: 190px;
        transform: scale(2.1) translate(-5%, 1%);
    }
}

@media (max-width: 1400px) {
    #ad-box .ad-box-img {
        transform: scale(1.7) translate(20px);
    }

    #home-header .navbar .nav-item {
        margin-right: 20px;
    }
}

@media (max-width: 1399px) {
    .custom-xxl {
        display: none !important;
    }

    .custom-medium {
        display: flex !important;
    }
}

@media (max-width: 1200px) {
    #home-header #navbarNavDropdown .nav-link * {
        color: var(--o2bs-blue);
    }

    #home-header #navbarNavDropdown .nav-link:active *,
    #home-header #navbarNavDropdown .nav-link:hover * {
        color: #00001E;
    }

    #ad-box .ad-box-img {
        transform: scale(1.7) translate(40px);
        margin-top: 15px;
    }

    #ad-box .ad-box-img.mobile {
        transform: scale(1.7) translate(40px);
        margin-top: 15px;
    }
}

@media (max-width: 1199px) {
    .ad-box-wrapper {
        flex-direction: column;
    }

    .ad-box-text {
        width: 80%;
    }

    .banner-img {
        width: 0;
        flex-direction: row;
    }

    .banner-img img {
        max-width: 120px;
        /*max-height: 190px;*/
        transform: scale(3.3) translate(200%, -33%);
    }
}

@media (max-width: 992px) {
    .support-contacts-wrapper {
        align-items: center;
    }

    .input-group button {
        padding: 16px 17px !important;
    }
}

@media (max-width: 991px) {
    .banner-img img {
        max-width: 110px;
        /*max-height: 180px;*/
        transform: scale(3.5) translate(144%, -32%);
    }
}

@media (max-width: 900px) {
    #ad-box .ad-box-text {
        padding: 30px;
    }
}

@media (max-width: 768px) {
    .banner-img img {
        transform: scale(3) translate(47%, -22%);
    }

    .single-product-info .btn {
        width: 50%;
        padding: 8px 0;
    }
}

@media (max-width: 500px) {
    .accordion-button {
        padding-top: 5px;
        padding-bottom: 5px;
    }

    .top-services a {
        justify-content: center !important;
    }
}

@media (max-width: 400px) {
    .marketing {
        width: 90%;
    }

    .toolbar-search p {
        display: none;
    }

    .product-boxes-row {
        margin-top: 0 !important;
    }

    .slick-active img {
        height: auto;
    }

    .single-product-info .btn {
        width: 70%;
    }
}